TCLAP::ArgParseException Class Reference

Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed. More...

`#include <ArgException.h>`

Inheritance diagram for TCLAP::ArgParseException:
[legend]
Collaboration diagram for TCLAP::ArgParseException:
[legend]

## Public Member Functions

| ArgParseException (const std::string &text="undefined exception", const std::string &id="undefined")
| Constructor. More...
Public Member Functions inherited from TCLAP::ArgException
| ArgException (const std::string &text="undefined exception", const std::string &id="undefined", const std::string &td="Generic ArgException")
| Constructor. More...
virtual | ~ArgException () throw ()
| Destructor. More...
std::string | error () const
| Returns the error text. More...
std::string | argId () const
| Returns the argument id. More...
const char * | what () const throw ()
| Returns the arg id and error text. More...
std::string | typeDescription () const
| Returns the type of the exception. More...

## Detailed Description

Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed.

Definition at line 122 of file ArgException.h.

## Constructor & Destructor Documentation

## ArgParseException()

TCLAP::ArgParseException::ArgParseException | ( | const std::string & | text = `"undefined exception"`,
|  | const std::string & | id = `"undefined"`
| ) |  |

inline

Constructor.

Parameters

  text | - The text of the exception.
  id | - The text identifying the argument source of the exception.

Definition at line 131 of file ArgException.h.

The documentation for this class was generated from the following file:

- ArgException.h